## Data

The evaluation was done in three ways:
* Unit tests - run using the command `npm test` in a terminal in the `../src/notional-machine/client` directory. The coverage information of the tests can be found in `./raw/unittestscoverage.png`.
* AB testing - which required the approval of the ethics committee (provided in `./ethics/approvalFormFilled.pdf`). A handout was created to obtain information on the amount of knowledge gained from the use of traditional tools and the new online tool. The handout can be found in `./notebooks/ExperimentSheetsPaperGroup.pdf`. The participants of this evaluation were split into two groups: control which received the full handout and the experimental group which received the handout without "Part 2 - Practice exercises" and without the solutions to those exercises and instead were asked to complete these exercises recreated in the online tool. The results generated in the online tool can be found in `./raw/notional-machine-db.sqlite` and the handouts with the written responses are kept in a closed office, under the care of Peter Donaldson. The results were placed in `./processed/ExpressionsExperiment.xlsx` and processed.
* Usability testing - during three sessions of usablity evaluation, participants were asked to fill out an System Usability Scale (SUS) questionnaires. The raw data from these is saved in `./raw/Developing Understanding of Expression Evaluation - Application Usability(1-11)`, `./raw/Developing Understanding of Expression Evaluation - Paper-based Tool Usability(1-12)`, `./raw/Expression Evaluation Tool - Usability (Professionals)(1-2)` and `./raw/Expression Evaluation Tool - Usability (Students)(1-8).xlsx`. The data has been processed in `./processed/Usability.xlsx` and used to produce a graph of the scores given to the tool which can be found in `./processed/ABtestingSUS.png` and `./processed/FinaltestingSUS.png`
